Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2416033002: Fixed the behaviour of form submit to match the standard: no submit is taken place when the form is… (Closed)

Created:
3 years, 1 month ago by lunalu1
Modified:
3 years, 1 month ago
Reviewers:
tkent, ojan, Eric Willigers
CC:
asvitkine+watch_chromium.org, blink-reviews, blink-reviews-html_chromium.org, chromium-reviews, dglazkov+blink
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fixed the behaviour of form submit to match the standard: no submit is taken place when the form is detached from the document (e.g., form is removed). One additional layout test (form-removed-from-document.html) is added to verify the change made above. Two layout tests has been modified to match the behaviour of submitting form (when from is detached from/attached to the document) in Firefox. BUG=586749 Committed: https://crrev.com/962c2a22ddc474255c776aefc7abeba00edc7470 Cr-Commit-Position: refs/heads/master@{#425734}

Patch Set 1 : Patch from https://codereview.chromium.org/2261393002/ #

Patch Set 2 : Added a test-case (submit cloned form) in third_party/WebKit/LayoutTests/fast/forms/submit-form-not… #

Total comments: 2

Patch Set 3 : Added Console Warning #

Patch Set 4 : Modified layout tests for the new behaviour #

Messages

Total messages: 33 (20 generated)
lunalu1
Hi, I would like to reland this CL with a new test-case added. Could you ...
3 years, 1 month ago (2016-10-13 20:06:49 UTC) #4
tkent
https://codereview.chromium.org/2416033002/diff/10007/third_party/WebKit/Source/core/html/HTMLFormElement.cpp File third_party/WebKit/Source/core/html/HTMLFormElement.cpp (right): https://codereview.chromium.org/2416033002/diff/10007/third_party/WebKit/Source/core/html/HTMLFormElement.cpp#newcode355 third_party/WebKit/Source/core/html/HTMLFormElement.cpp:355: return; Let's show a console warning in order to ...
3 years, 1 month ago (2016-10-13 22:19:06 UTC) #7
lunalu1
Done. Thanks https://codereview.chromium.org/2416033002/diff/10007/third_party/WebKit/Source/core/html/HTMLFormElement.cpp File third_party/WebKit/Source/core/html/HTMLFormElement.cpp (right): https://codereview.chromium.org/2416033002/diff/10007/third_party/WebKit/Source/core/html/HTMLFormElement.cpp#newcode355 third_party/WebKit/Source/core/html/HTMLFormElement.cpp:355: return; On 2016/10/13 22:19:06, tkent wrote: > ...
3 years, 1 month ago (2016-10-14 15:08:45 UTC) #8
tkent
lgtm
3 years, 1 month ago (2016-10-14 15:16:35 UTC) #11
lunalu1
Hi ojan, I modified two layout tests you created as I changed the form submit ...
3 years, 1 month ago (2016-10-14 18:46:09 UTC) #15
ojan
The layout test changes lgtm. Have you verified that this fixed the cloud print problem?
3 years, 1 month ago (2016-10-14 21:09:20 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2416033002/50001
3 years, 1 month ago (2016-10-17 14:28:33 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/282555)
3 years, 1 month ago (2016-10-17 14:41:33 UTC) #25
lunalu1
Hi ericwilligers I made some changes in the histograms.xml file. Could you please take a ...
3 years, 1 month ago (2016-10-17 14:51:12 UTC) #27
Eric Willigers
lgtm
3 years, 1 month ago (2016-10-17 18:43:31 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2416033002/50001
3 years, 1 month ago (2016-10-17 18:44:00 UTC) #30
commit-bot: I haz the power
Committed patchset #4 (id:50001)
3 years, 1 month ago (2016-10-17 18:50:11 UTC) #31
commit-bot: I haz the power
3 years, 1 month ago (2016-10-17 18:51:40 UTC) #33
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/962c2a22ddc474255c776aefc7abeba00edc7470
Cr-Commit-Position: refs/heads/master@{#425734}

Powered by Google App Engine
This is Rietveld 408576698